Subject: [sup-talk] Moving messages between sources and generic auto labeling hook

From: Scott Henson <[email-masked]>
Date: Sun, 3 Jan 2010 20:41:49 -0500

Is it possible to have sup move messages between sources?  I have only so
much storage on my mail server (work related) and if I don't expire messages
out of my inbox, I hit the limit on a regular basis.  I have offlineimap
syncing the email down to local maildirs.  I would like to have sup move
mails from the INBOX source to an archive source.  Is this possible?  It
would be nice if the archive source was a group of sources according to year
and month, but that would be gravy.

I've found a python script that will do this for me on the Maildir, but I'm
not sure what this will do to the sup index.  Would I be able to do this on
a nightly basis and then do a full rescan on the INBOX source and the
archive sources?  Would the messages keep their labels?

My second question revolves around labeling.  I see the before add hook is
what is supposed to be used for labeling.  Does everyone just write ruby in
that hook or does someone have a simpler syntax for filtering that a generic
before add hook that uses it?  I'm thinking the simplest would be yaml, but
this being ruby I would think creating a DSL for filtering would be pretty
easy and make autolabeling an easier affair than writing straight ruby.

Any help would be much appreciated.  Thanks.

-- 
Scott Henson
_______________________________________________
sup-talk mailing list
[email-masked]
http://rubyforge.org/mailman/listinfo/sup-talk